Start an async chat with an employee.
curl --request POST \
--url https://api.parallellabs.app/api/v0/employees/chat/async \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"employeeId": "<string>",
"message": "<string>",
"chatId": "<string>",
"settings": {
"audienceTools": true,
"browserTask": {},
"company": true,
"composioTools": [
"<string>"
],
"documentCreation": true,
"documentPath": "<string>",
"documentStrategy": "<string>",
"documents": true,
"employee": true,
"image": "<string>",
"includePreviousToolCalls": true,
"lists": true,
"longTermMemories": true,
"mcpServers": [
"<string>"
],
"model": "<string>",
"news": true,
"requestDocuments": [
{}
],
"researchTask": true,
"responseInstructions": true,
"searchEngine": true,
"shortTermMemories": true,
"temperature": 123,
"toolRouter": true,
"voiceId": "<string>",
"websites": true,
"websitesJs": true
}
}
'import requests
url = "https://api.parallellabs.app/api/v0/employees/chat/async"
payload = {
"employeeId": "<string>",
"message": "<string>",
"chatId": "<string>",
"settings": {
"audienceTools": True,
"browserTask": {},
"company": True,
"composioTools": ["<string>"],
"documentCreation": True,
"documentPath": "<string>",
"documentStrategy": "<string>",
"documents": True,
"employee": True,
"image": "<string>",
"includePreviousToolCalls": True,
"lists": True,
"longTermMemories": True,
"mcpServers": ["<string>"],
"model": "<string>",
"news": True,
"requestDocuments": [{}],
"researchTask": True,
"responseInstructions": True,
"searchEngine": True,
"shortTermMemories": True,
"temperature": 123,
"toolRouter": True,
"voiceId": "<string>",
"websites": True,
"websitesJs": True
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeId: '<string>',
message: '<string>',
chatId: '<string>',
settings: {
audienceTools: true,
browserTask: {},
company: true,
composioTools: ['<string>'],
documentCreation: true,
documentPath: '<string>',
documentStrategy: '<string>',
documents: true,
employee: true,
image: '<string>',
includePreviousToolCalls: true,
lists: true,
longTermMemories: true,
mcpServers: ['<string>'],
model: '<string>',
news: true,
requestDocuments: [{}],
researchTask: true,
responseInstructions: true,
searchEngine: true,
shortTermMemories: true,
temperature: 123,
toolRouter: true,
voiceId: '<string>',
websites: true,
websitesJs: true
}
})
};
fetch('https://api.parallellabs.app/api/v0/employees/chat/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assistantMessageId": "<string>",
"chatId": "<string>",
"status": "<string>",
"userMessageId": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Employees
Start an async chat with an employee.
Returns immediately with a chat ID that can be used to poll for the response.
POST
/
api
/
v0
/
employees
/
chat
/
async
Start an async chat with an employee.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
application/json
Async chat request
Request body for chatting with an employee
⌘I

